package domain


type AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountActivityQueryRequest struct {
    /*
        活动ID     */
    ActId  *int64 `json:"act_id,omitempty" `

    /*
        erp外部活动id     */
    OutActId  *string `json:"out_act_id,omitempty" `

}

func (s *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountActivityQueryRequest) SetActId(v int64) *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountActivityQueryRequest {
    s.ActId = &v
    return s
}
func (s *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountActivityQueryRequest) SetOutActId(v string) *AlibabaRetailMarketingItemdiscountActivityQueryItemDiscountActivityQueryRequest {
    s.OutActId = &v
    return s
}
